/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package micha.wara.de.jdbcdemo;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

/**
 *
 * @author micha
 */
public class Person {

    String nname;
    String vname;
    ArrayList<String> mailAdressen = new ArrayList();
    java.sql.Connection dbVerbindung;
    PreparedStatement prepStmnt;
    ResultSet resSet;

    public Person(int id) {

        try {
            // connection zur emaille-db erzeugen
            Connection conn = new DBConnection().getVerbindung();

            //preparedStatement fuer namens- und vornamens-suche bauen
            prepStmnt = conn.prepareStatement(
                    "select nname, vname from person where id = ?"
            );
            prepStmnt.setInt(1, id);
            resSet = prepStmnt.executeQuery();

            while (resSet.next()) {
                this.nname = resSet.getString("nname");
                this.vname = resSet.getString("vname");
            }

            //preparedStatement fuer die liste der emaille-adrs bauen
            prepStmnt = conn.prepareStatement(
                    "select emaille from emaille where person = ?"
            );
            prepStmnt.setInt(1, id);
            resSet = prepStmnt.executeQuery();

            while (resSet.next()) {
                mailAdressen.add(resSet.getString("emaille"));
            }

        } catch (SQLException ex) {
            ex.printStackTrace();
        }

    }

    public String getNname() {
        return nname;
    }

    public String getVname() {
        return vname;
    }

    public ArrayList<String> getMailAdressen() {
        return mailAdressen;
    }

    public static void main(String[] args) {
        Person person = new Person(10);

        System.out.printf(
                "Die Person %s %s hat folgende i-mehl-adressen:\n",
                person.getVname(), person.getNname()
        );
        
        for (String adr : person.getMailAdressen()) {
            System.out.println(adr);
        }

    }

}
